Node.js
import { PeriskopeApi } from '@periskope/periskope-client';
const client = new PeriskopeApi({
authToken: 'YOUR_API_KEY',
phone: 'YOUR_PHONE_NUMBER', // e.g., '919876543210'
});
async function getAllCustomProperties() {
const response = await client.property.getAll({
type: 'ticket'
});
console.log(response);
}
getAllCustomProperties();curl -X GET \
https://api.periskope.app/v1/properties?type=ticket \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-H 'x-phone: YOUR_PHONE_NUMBER'{
"success": true,
"data": [
{
"property_id": "property-a1b2c3",
"property_name": "Workspace",
"type": "ticket",
"kind": "dropdown",
"mandatory": false,
"section_id": "3f8b6c1e-8f2a-4b6e-9c3d-2a1f0e9d8c7b",
"section_name": "Issue Details",
"options": [
{
"id": "1712345678901",
"label": "Acme Corp"
}
],
"created_at": "2026-07-06T10:00:00.000Z"
}
]
}{
"code": "VALIDATION_ERROR",
"message": "type must be \"chat\" or \"ticket\"",
"status": 422,
"fields": {
"type": {
"message": "type must be \"chat\" or \"ticket\""
}
}
}Custom Property APIs
Get All Custom Properties
This endpoint retrieves all custom properties in your workspace, across both chat and ticket properties
Pass the optional type query parameter to fetch only chat or only ticket properties
Node.js
import { PeriskopeApi } from '@periskope/periskope-client';
const client = new PeriskopeApi({
authToken: 'YOUR_API_KEY',
phone: 'YOUR_PHONE_NUMBER', // e.g., '919876543210'
});
async function getAllCustomProperties() {
const response = await client.property.getAll({
type: 'ticket'
});
console.log(response);
}
getAllCustomProperties();curl -X GET \
https://api.periskope.app/v1/properties?type=ticket \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-H 'x-phone: YOUR_PHONE_NUMBER'{
"success": true,
"data": [
{
"property_id": "property-a1b2c3",
"property_name": "Workspace",
"type": "ticket",
"kind": "dropdown",
"mandatory": false,
"section_id": "3f8b6c1e-8f2a-4b6e-9c3d-2a1f0e9d8c7b",
"section_name": "Issue Details",
"options": [
{
"id": "1712345678901",
"label": "Acme Corp"
}
],
"created_at": "2026-07-06T10:00:00.000Z"
}
]
}{
"code": "VALIDATION_ERROR",
"message": "type must be \"chat\" or \"ticket\"",
"status": 422,
"fields": {
"type": {
"message": "type must be \"chat\" or \"ticket\""
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Fetch only chat or only ticket properties. Omit to fetch both
Available options:
chat, ticket Was this page helpful?